/*
 * Copyright (C) 2004 Patrik Karlsson <patrik@cqure.net>
 * 
 * This file is part of the oscanner framework
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place - Suite 330, Boston, MA 02111-1307, USA.
 *  
 */

package cqure.repeng;

import javax.swing.tree.*;
import java.util.Enumeration;
import java.util.Hashtable;

public class ExpText {

	private ReportTree m_oTree;

	public ExpText(ReportTree oTree) {
		m_oTree = oTree;
	}

	public void setTree(ReportTree oTree) {
		m_oTree = oTree;
	}

	public void doTab(int nCount) {
		for (int i = 0; i < nCount; i++) {
			System.out.print("    ");
		}
	}

	public void visitAllNodes() {
		TreeNode root = (TreeNode) m_oTree.getRoot();
		visitAllNodes(root);
	}

	public void visitAllNodes(TreeNode node) {

		ReportObject oRo = null;
		Hashtable oH = null;
		Enumeration oE = null;
		String sKey;

		if (node instanceof ReportObject) {
			oRo = (ReportObject) node;

			doTab(((DefaultMutableTreeNode) node).getLevel());
			System.out.println(oRo.toString());

			if (oRo.getPropertyCount() > 0) {
				oH = oRo.getProperties();

				for (oE = oH.keys(); oE.hasMoreElements();) {
					sKey = (String) oE.nextElement();

					if (oH.get(sKey) != null
							&& ((String) oH.get(sKey)).length() > 0) {

						doTab(((DefaultMutableTreeNode) node).getLevel() + 1);
						System.out.println(sKey + ": " + oH.get(sKey));
					}
				}

			} /* end property count */

			/* do we have a value ? */
			if (oRo.getValue() != null) {
				doTab(((DefaultMutableTreeNode) node).getLevel() + 1);
				System.out.println(oRo.getValue().toString());
			}

		}

		//        if (node.getChildCount() >= 0) {
		if (m_oTree.getChildCount(node) >= 0) {
			// for (Enumeration e=node.children(); e.hasMoreElements(); ) {
			for (int j = 0; j < m_oTree.getChildCount(node); j++) {
				//TreeNode n = (TreeNode)e.nextElement();
				TreeNode n = (TreeNode) m_oTree.getChild(node, j);
				visitAllNodes(n);
			}
		}
	}

	public boolean export(String sFile) {

		visitAllNodes();

		return true;
	}

}