/*
 * Copyright (C) 2004 Patrik Karlsson <patrik@cqure.net>
 * 
 * This file is part of the oscanner framework
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place - Suite 330, Boston, MA 02111-1307, USA.
 *  
 */

package ork;

import java.io.*;

public class CreateInitialConfig {

	public static void main(String args[]) {

		ScannerConfig oSC = new ScannerConfig();
		String sFilename = "default.conf";

		oSC.setConfigOption("CommonPasswordFile", "accounts.default");
		oSC.setConfigOption("DictionaryFile", "dictionary.txt");
		oSC.setConfigOption("UsernameFile", "users.txt");
		oSC.setConfigOption("OraclePlugins", "oracleplugins.default");
		oSC.setConfigOption("ServiceFile", "services.txt");

		try {
			FileOutputStream oF = new FileOutputStream(sFilename);
			ObjectOutputStream oOF = new ObjectOutputStream(oF);
			oOF.writeObject(oSC);

			oF.close();
			oOF.close();
		} catch (IOException e) {
			System.err.println("[x] Failed to write config file");
			System.err.println("[x] " + e.getMessage());
		}

	}

}